#pragma once
#define numBranches 12
class Flake{
public:
    float posX, posY;
    bool visible;
    float branchX[numBranches];
    float branchY[numBranches];
    float counter;
    
    void setup(){
        for(int i=0; i<numBranches; i++){
            branchX[i]=ofRandomf()*40;
            branchY[i]=ofRandomf()*40;
        }
        visible=true;
        counter=0;
    }
    void update(){
        posX+=ofxAccelerometer.getForce().x;
        posY-=ofxAccelerometer.getForce().y;
        //if slows the animation, making counter go up only every 5 frames
        if(ofGetFrameNum()%5==0){
            if(counter<numBranches){
                counter++;
            }
        }
    }
    void draw(){
        if(visible){
            ofSetColor(255, 255, 255, 127);
            ofCircle(posX,posY,10);
            for(int i=0; i<counter; i++){
                ofLine(posX,posY,posX+branchX[i],posY+branchY[i]);
                ofCircle(posX+branchX[i],posY+branchY[i],10);
            }
        }
    }
};