#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){	
    // iOS default stuff
	ofRegisterTouchEvents(this);
	ofxAccelerometer.setup();
	ofxiPhoneAlerts.addListener(this);
	//iPhoneSetOrientation(OFXIPHONE_ORIENTATION_LANDSCAPE_RIGHT);
	ofBackground(127,127,255);
    ofEnableAlphaBlending();
    //
}
//--------------------------------------------------------------
void testApp::update(){
    //update all the flakes
    for(int i=0; i<numFlakes; i++){
        myFlake[i].update();
    }
}
//--------------------------------------------------------------
void testApp::draw(){
    //draw all the flakes
    for(int i=0; i<numFlakes; i++){
        myFlake[i].draw();
    }
}
//--------------------------------------------------------------
void testApp::exit(){
}
//--------------------------------------------------------------
void testApp::touchDown(ofTouchEventArgs &touch){
    //setup() will make the flakes visible
    myFlake[touch.id].setup();
    //then we apply the x and y coordinates of touch to the flake
    myFlake[touch.id].posX=touch.x;
    myFlake[touch.id].posY=touch.y;
}
//--------------------------------------------------------------
void testApp::touchMoved(ofTouchEventArgs &touch){

}

//--------------------------------------------------------------
void testApp::touchUp(ofTouchEventArgs &touch){

}

//--------------------------------------------------------------
void testApp::touchDoubleTap(ofTouchEventArgs &touch){

}

//--------------------------------------------------------------
void testApp::lostFocus(){

}

//--------------------------------------------------------------
void testApp::gotFocus(){

}

//--------------------------------------------------------------
void testApp::gotMemoryWarning(){

}

//--------------------------------------------------------------
void testApp::deviceOrientationChanged(int newOrientation){

}


//--------------------------------------------------------------
void testApp::touchCancelled(ofTouchEventArgs& args){

}

